SUMMARY = "Barebox - a bootloader that inherits the best of U-Boot and the Linux kernel"
HOMEPAGE = "http://www.barebox.org/"
SECTION = "bootloaders"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=057bf9e50e1ca857d0eb97bfe4ba8e5d"

PACKAGE_ARCH = "${MACHINE_ARCH}"

inherit kernel-arch deploy

EXTRA_OEMAKE = "ARCH=arm CROSS_COMPILE=${STAGING_BINDIR_TOOLCHAIN}/${TARGET_PREFIX}"

do_configure_prepend() {
	cp ${WORKDIR}/defconfig ${S}/.config
	oe_runmake oldconfig
}

do_compile () {
	unset LDFLAGS
	unset CFLAGS
	unset CPPFLAGS
	oe_runmake
}

do_deploy () {
	install -d ${DEPLOY_DIR_IMAGE}
	install -m 0644 -t ${DEPLOY_DIR_IMAGE}/ ${S}/images/*.img
}

addtask deploy before do_build after do_compile
